/*	$NetBSD: $	*/

/*-
 * Copyright (C) 2008 A.Leo.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * Registers and some macros for the m41t80 RTC.
 */


#ifndef _DEV_I2C_M41T80REG_H_
#define	_DEV_I2C_M41T80REG_H_

#define M41T80_ADDR		0x68

#define M41T80_REG_CSEC		0x0	/* 00-99     -- BSD 0.1/0.01 Seconds */
#define M41T80_REG_SEC		0x1	/* 00-59     -- BCD Seconds */
#define M41T80_REG_MIN		0x2	/* 00-59     -- BCD Minutes */
#define M41T80_REG_CENHR	0x3	/* 0-1/00-23 -- BCD Century/Hour */
#define M41T80_REG_DAY		0x4	/* 01-07     -- BCD Day */
#define M41T80_REG_DATE		0x5	/* 01-31     -- BCD Date */
#define M41T80_REG_MONTH	0x6	/* 01-12     -- BCD Month */
#define M41T80_REG_YEAR		0x7	/* 00-99     -- BCD Year */

#define M41T80_DATE_BYTES	0x8

#define M41T80_REG_CONTROL		0x8	/* Control Register */

#define M41T80_NBYTES		0x8

#define M41T80_REG_32KE		0x09	
#define M41T80_REG_SQW		0x13	/* Output frequency prescaler */

#define	M41T80_SEC_ST		0x80		/* clock stop bit */

#define M41T80_SEC_MASK		0x7f
#define M41T80_MIN_MASK		0x7f
#define M41T80_HOUR_MASK	0x3f
#define M41T80_DAY_MASK		0x07
#define M41T80_DATE_MASK	0x3f
#define M41T80_MONTH_MASK	0x1f
#define M41T80_YEAR_MASK	0xff

#endif /* !_DEV_I2C_M41T80REG_H_ */
